﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace DirtyCells
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			List<Item> items = new List<Item>();
			for (int i = 0; i < 5; i++)
			{
				items.Add(new Item(i,"Item" + i));
			}

			this.radGridView1.ItemsSource = items;
		}


		public class Item : INotifyPropertyChanged
		{
			public Item(int id, string name)
			{
				this.Name = name;
				this.id = id;
				this.IsIDDirty = false;
				this.IsNameDirty = false;
			}

			private int id;
			public int ID
			{
				get
				{
					return id;
				}
				set
				{
					if (this.id != value)
					{
						this.id = value;
						this.IsIDDirty = true;
						this.OnPropertyChanged("ID");
					}
				}
			}

			private string name;
			public string Name
			{

				get
				{
					return name;
				}
				set
				{
					if (name != value)
					{
						this.name = value;
						this.IsNameDirty = true;
						this.OnPropertyChanged("Name");
					}
				}
			}

			public bool IsIDDirty { get; set; }
			public bool IsNameDirty { get; set; }

			private void OnPropertyChanged(string property)
			{
				if (this.PropertyChanged != null)
				{
					this.PropertyChanged(this, new PropertyChangedEventArgs(property));
				}
			}
			

			public event PropertyChangedEventHandler PropertyChanged;
		}
	}
}
