﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace DirtyCells
{
	public class MyCellStyleSelector : StyleSelector
	{
		public override Style SelectStyle(object item, DependencyObject container)
		{
			GridViewCell cellTostyle = container as GridViewCell;
			string propertyName = cellTostyle.DataColumn.DataMemberBinding.Path.Path;
			bool hasChanged = false; ;
			
			if (propertyName == "ID")
			{
				hasChanged = ((DirtyCells.MainPage.Item)item).IsIDDirty;
			}
			else if (propertyName == "Name")
			{
				hasChanged = ((DirtyCells.MainPage.Item)item).IsNameDirty;
			}

			Style style = new Style(typeof(GridViewCell));

			SolidColorBrush background;
			
			if (hasChanged)
			{
				background = new SolidColorBrush(Colors.Red);
			}
			else
			{
				background = new SolidColorBrush(Colors.Transparent);
			}

			style.Setters.Add(new Setter() { Property = GridViewCell.BackgroundProperty, Value = background });
			return style;
		}
	}
}
